import { html as p } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, u = Object.getOwnPropertyDescriptor, a = (c, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, o) : t, n = c.length - 1, i; n >= 0; n--)
    (i = c[n]) && (e = (r ? i(t, o, e) : i(e)) || e);
  return r && e && f(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--thumbsDownLarge", this.class = "c-pieIcon c-pieIcon--thumbsDownLarge", this.name = "IconThumbsDownLarge";
  }
  render() {
    return p`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--thumbsDownLarge"><path d="M28.53 13.944 26.5 7.39a4.375 4.375 0 0 0-4.086-2.765H3.75v1.75h6.825a10 10 0 0 0-.7 3.938c-.01 1.634.247 3.26.761 4.812H3.75v1.75h9.293a.88.88 0 0 1 .743.429l5.18 10.071h.534a3.41 3.41 0 0 0 3.343-4.078l-.98-4.89 4.76-1.12a2.625 2.625 0 0 0 1.907-3.343m-1.75 1.216a.88.88 0 0 1-.56.42l-6.405 1.514 1.313 6.545a1.68 1.68 0 0 1-.342 1.382c-.203.251-.478.434-.787.525l-4.681-9.1a2.63 2.63 0 0 0-2.275-1.321H12.5a12.4 12.4 0 0 1-.875-4.812 8.2 8.2 0 0 1 .875-3.938h9.914a2.625 2.625 0 0 1 2.423 1.619l2.022 6.475c.06.22.032.456-.079.656z"></path></svg>`;
  }
};
a([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
a([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = a([
  m("icon-thumbs-down-large")
], s);
export {
  s as IconThumbsDownLarge
};
